STRATAGUS(6)

NAME
stratagus - Strategy Gaming Engine

SYNOPSIS
stratagus [-c file.lua] [-d datapath] [-D depth] [-e] [-E file.lua] [-F|-W] [-h] [-I addr] [-l] [-L lag] [-n server] [-N name] [-o|-O] [-P port] [-s sleep] [-S speed] [-U update] [-v mode] [map.smp|map.smp.gz]

DESCRIPTION
This manual page documents briefly the flags that you can give to stratagus , formerly known as FreeCraft, formerly known as ALE Clone.

stratagus is a powerful game engine for building realtime strategy games, a la AoE or Warcraft.

OPTIONS
A summary of options is included below.

-c file.lua
    Choose a different stratagus start config file.

-d datapath
    Choose a different directory to use for game data files.

-D depth
    Set the video mode depth, often called 'bpp' or 'bits per pixel'. This option is only valid for Win32/NT.

-e  Start the editor included in Stratagus.

-E  Choose a different editor config file.

-F  With this option you can start Stratagus in full screen video mode.

-h  Show summary of all options.

-I addr
    With this option you can specify the network address for network play.

-l  Disable command log messages.

-L lag
    This sets the network lag in number of frames (default 10 = 333 ms).

-n server
    With this option you can specify the network server host for network play.

-N name
    The name of the player (will appear in network games).

-O  Use OpenGL or OpenGL ES 1.1.

-o  Do not use OpenGL or OpenGL ES 1.1.

-P port
    With this option you can set the network port to use in network games. The default value is port udp/6660.

-s number
    Number of frames before AI awakes. This is useful if the AI is beating you hard, and you want to make it sweet like a cat. The higher, the easier will be the game against the AI. Default is to sleep 0 time frames.

-S number
    Sync speed (100 = 30 frames/s).

-U update
    With this option you can specify the network update rate in # frames (default 5=6x per s).

-v mode
    With this option you can specify video mode resolution in format <xres>x<yres>

-W  With this option you can start Stratagus in windowed video mode.

FILES

./  Default directory for Stratagus data files

./scripts/stratagus.lua
    Default start config file.

./scripts/editor.lua
    Default editor file.

./scripts/guichan.lua
    Default menu file.

~/.stratagus/<data>/preferences.lua
    User preferences configuration file for <data>

~/.stratagus/<data>/logs/
    User directory with replays/logs for <data>

~/.stratagus/<data>/save/
    User directory with saved games for <data>

SEE ALSO
More complete documentation is available in /usr/share/doc/stratagus.

NOTES
Stratagus needs a lot of data (maps and artwork), that can come from external datasets, like Battle of Survival (BoS), or even from the media in the Warcraft II CD, thanks to the Wargus dataset.

Warcraft II is a registered trademark of Blizzard Entertainment.

AUTHOR
Stratagus is written by Nehal Mistry, Russell Smith, Pali Rohár and others.

This manual page was written by Anthony Towns <ajt@debian.org>, David Martínez Moreno <ender@debian.org> and Pali Rohár <pali.rohar@gmail.com> for the Debian GNU/Linux system (but may be used by others).